> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/incidents.md).

# Incidents

## Bulk Acknowledge Incidents

> \- This endpoint is used to bulk acknowledge the incident by IDs. The API can handle a maximum of 100 incident IDs in a single request with 10 such calls per minute."\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.BulkIncidentIDsRequest":{"type":"object","required":["incident_ids"],"properties":{"incident_ids":{"type":"array","items":{"type":"string"},"maxItems":100}},"description":"Request body for bulk incident operations (acknowledge, resolve)."}}},"paths":{"/v3/incidents/acknowledge":{"post":{"operationId":"Incidents_bulkAcknowledgeIncidents","summary":"Bulk Acknowledge Incidents","description":"- This endpoint is used to bulk acknowledge the incident by IDs. The API can handle a maximum of 100 incident IDs in a single request with 10 such calls per minute.\"\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"string"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.BulkIncidentIDsRequest"}}}}}}}}
```

## Incident Export

> \- This endpoint is used to export the incident details into a \`csv\` or \`json\` file.\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.\
> \- Header field/value: \`Content-Type\`: \`text/csv\`\
> \
> \
> Query Params:\
> \
> \`\`\`\
> type: csv or json\
> start\_time: filter by date range\
> end\_time: filter by date range\
> services: filter by services\
> sources: filter by alert sources\
> assigned\_to: filter by assignee\
> status: filter by incident status\
> slo\_affecting: filetr by slo affected\
> slos: filter by slos\
> tags: filter by tags key=value\
> \
> &#x20;\`\`\`

````json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"V3.Incidents.IncidentExportRequest.start_time":{"name":"start_time","in":"query","required":true,"schema":{"type":"string","format":"date-time"},"explode":false},"V3.Incidents.IncidentExportRequest.end_time":{"name":"end_time","in":"query","required":true,"schema":{"type":"string","format":"date-time"},"explode":false},"V3.Incidents.IncidentExportRequest.type":{"name":"type","in":"query","required":true,"schema":{"$ref":"#/components/schemas/V3.Incidents.ExportFormat"},"explode":false},"V3.Incidents.IncidentExportRequest.owner_id":{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"},"explode":false},"V3.Incidents.IncidentExportRequest.status":{"name":"status","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},"V3.Incidents.IncidentExportRequest.services":{"name":"services","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},"V3.Incidents.IncidentExportRequest.sources":{"name":"sources","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},"V3.Incidents.IncidentExportRequest.assigned_to":{"name":"assigned_to","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},"V3.Incidents.IncidentExportRequest.assignedToUserIDsAndTheirSquads":{"name":"assignedToUserIDsAndTheirSquads","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},"V3.Incidents.IncidentExportRequest.service_owner":{"name":"service_owner","in":"query","required":false,"schema":{"type":"string"},"explode":false},"V3.Incidents.IncidentExportRequest.priority":{"name":"priority","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.IncidentPriority"}},"explode":false},"V3.Incidents.IncidentExportRequest.tags":{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},"V3.Incidents.IncidentExportRequest.slo_affecting":{"name":"slo_affecting","in":"query","required":false,"schema":{"type":"string","enum":["yes","no",""]},"explode":false},"V3.Incidents.IncidentExportRequest.slos":{"name":"slos","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}},"explode":false},"V3.Incidents.IncidentExportRequest.is_starred":{"name":"is_starred","in":"query","required":false,"schema":{"type":"string","enum":["yes","no"]},"explode":false},"V3.Incidents.IncidentExportRequest.textFilter":{"name":"textFilter","in":"query","required":false,"schema":{"type":"string"},"explode":false},"V3.Incidents.IncidentExportRequest.notes":{"name":"notes","in":"query","required":false,"schema":{"type":"string","enum":["present","absent"]},"explode":false},"V3.Incidents.IncidentExportRequest.retrospectives":{"name":"retrospectives","in":"query","required":false,"schema":{"type":"string","enum":["yes","no"]},"explode":false},"V3.Incidents.IncidentExportRequest.sort_by":{"name":"sort_by","in":"query","required":false,"schema":{"type":"string","enum":["time","priority"]},"explode":false}},"schemas":{"V3.Incidents.ExportFormat":{"type":"string","enum":["json","csv"],"description":"Defines the format of the export."},"V3.Incidents.IncidentPriority":{"type":"string","enum":["P1","P2","P3","P4","P5"],"description":"Represents the priority of an incident."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/incidents/export":{"get":{"operationId":"Incidents_incidentExport","summary":"Incident Export","description":"- This endpoint is used to export the incident details into a `csv` or `json` file.\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.\n- Header field/value: `Content-Type`: `text/csv`\n\n\nQuery Params:\n\n```\ntype: csv or json\nstart_time: filter by date range\nend_time: filter by date range\nservices: filter by services\nsources: filter by alert sources\nassigned_to: filter by assignee\nstatus: filter by incident status\nslo_affecting: filetr by slo affected\nslos: filter by slos\ntags: filter by tags key=value\n\n ```","parameters":[{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.start_time"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.end_time"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.type"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.owner_id"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.status"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.services"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.sources"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.assigned_to"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.assignedToUserIDsAndTheirSquads"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.service_owner"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.priority"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.tags"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.slo_affecting"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.slos"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.is_starred"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.textFilter"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.notes"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.retrospectives"},{"$ref":"#/components/parameters/V3.Incidents.IncidentExportRequest.sort_by"}],"responses":{"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"*/*":{"schema":{"type":"object"}},"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"*/*":{"schema":{"type":"object"}},"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"]}}}}
````

## Incident Export Async

> \*   This is an async API, once the request is made the export will start in our workers. You will get a download link to your registered Email ID once the export is completed\
> \
> \
> \### Payload\
> \
> \| Key | Value | Example |\
> \| --- | --- | --- |\
> \| type | csv / json | “csv” |\
> \| start\_time | Date in ISO Format | “2020-01-01T00:00:00.000Z” |\
> \| end\_time | Date in ISO Format | “2020-04-01T00:00:00.000Z” |\
> \| owner\_id | Team ID | “611262a9d5b4ea846b534a3f” |\
> \
> \### Incident Filters\
> \
> \| Key | Value | Example |\
> \| --- | --- | --- |\
> \| statuses | Array of triggered / resolved / acknowledged / suppressed | \\\[“triggered”, “acknowleged”\\] |\
> \| tags | Array of tags in format “KEY=VALUE” | \\\[“severity=high”, “severity=low”\\] |\
> \| sources | Array of Alert Source IDs | \\\[“6077f7225fdc7075e371685f”\\] |\
> \| services | Array of Service IDs | \\\["62385fb309bc474014180828"\\] |\
> \| assigned\_to | Array of Assigned to user IDs | \\\["625e40c9a9bd76370bf9f7fb"\\] |

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.IncidentExportAsyncResponse":{"type":"object","required":["message","request_id"],"properties":{"message":{"type":"string"},"request_id":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.IncidentExportAsyncRequest":{"type":"object","required":["owner_id","type","start_time","end_time","incident_filters"],"properties":{"owner_id":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/V3.Incidents.ExportFormat"}],"description":"Type of export, can be csv or json"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"incident_filters":{"$ref":"#/components/schemas/V3.Incidents.ExportIncidentsFilter"}},"description":"Request body for async incident export."},"V3.Incidents.ExportFormat":{"type":"string","enum":["json","csv"],"description":"Defines the format of the export."},"V3.Incidents.ExportIncidentsFilter":{"type":"object","required":["services","sources","serviceOwner","assigned_to","assignedToUserIDsAndTheirSquads","statuses","priority","tags","notes"],"properties":{"services":{"type":"array","items":{"type":"string"}},"sources":{"type":"array","items":{"type":"string"}},"serviceOwner":{"$ref":"#/components/schemas/V3.Incidents.ServiceOwnerFilter"},"assigned_to":{"type":"array","items":{"type":"string"}},"assignedToUserIDsAndTheirSquads":{"type":"array","items":{"type":"string"}},"statuses":{"type":"array","items":{"type":"string"}},"priority":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.IncidentPriority"}},"tags":{"type":"array","items":{"type":"string"}},"notes":{"type":"string"}},"description":"Filter criteria for incidents in an export."},"V3.Incidents.ServiceOwnerFilter":{"type":"object","required":["userIDs","squadIDs"],"properties":{"userIDs":{"type":"array","items":{"type":"string"}},"squadIDs":{"type":"array","items":{"type":"string"}},"userIDsAndTheirSquads":{"type":"array","items":{"type":"string"}}},"description":"Filter criteria for service owner in an export."},"V3.Incidents.IncidentPriority":{"type":"string","enum":["P1","P2","P3","P4","P5"],"description":"Represents the priority of an incident."}}},"paths":{"/v3/incidents/export/async":{"post":{"operationId":"Incidents_incidentExportAsync","summary":"Incident Export Async","description":"*   This is an async API, once the request is made the export will start in our workers. You will get a download link to your registered Email ID once the export is completed\n\n\n### Payload\n\n| Key | Value | Example |\n| --- | --- | --- |\n| type | csv / json | “csv” |\n| start_time | Date in ISO Format | “2020-01-01T00:00:00.000Z” |\n| end_time | Date in ISO Format | “2020-04-01T00:00:00.000Z” |\n| owner_id | Team ID | “611262a9d5b4ea846b534a3f” |\n\n### Incident Filters\n\n| Key | Value | Example |\n| --- | --- | --- |\n| statuses | Array of triggered / resolved / acknowledged / suppressed | \\[“triggered”, “acknowleged”\\] |\n| tags | Array of tags in format “KEY=VALUE” | \\[“severity=high”, “severity=low”\\] |\n| sources | Array of Alert Source IDs | \\[“6077f7225fdc7075e371685f”\\] |\n| services | Array of Service IDs | \\[\"62385fb309bc474014180828\"\\] |\n| assigned_to | Array of Assigned to user IDs | \\[\"625e40c9a9bd76370bf9f7fb\"\\] |","parameters":[],"responses":{"202":{"description":"The request has been accepted for processing, but processing has not yet completed.","content":{"*/*":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.IncidentExportAsyncResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.IncidentExportAsyncRequest"}}}}}}}}
```

## Merge Incidents

> \- This endpoint merges incidents under an existing parent incident or a newly created parent incident. A parent can have at most 100 child incidents in total.\
> \- All selected child incidents must belong to the team specified by \`owner\_id\` and must not be suppressed, already merged as a child, or a parent with child incidents.\
> \- An existing parent incident must belong to the same team and must not be suppressed or already merged as a child.\
> \- When using an existing parent, the parent and child incidents must all be resolved or all be open (\`triggered\` or \`acknowledged\`).\
> \- When creating a new parent, provide at least two open child incidents and the \`new\_incident\` details instead of \`parent\_incident\_id\`.\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.MergeIncidentsResponse":{"type":"object","required":["message","parent_incident_id","children"],"properties":{"message":{"type":"string"},"parent_incident_id":{"type":"string"},"children":{"type":"array","items":{"type":"string"}}},"description":"Result of merging incidents."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.MergeIntoExistingParentRequest":{"type":"object","required":["owner_id","parent_incident_id","children"],"properties":{"owner_id":{"type":"string"},"parent_incident_id":{"type":"string"},"children":{"type":"array","items":{"type":"string"},"minItems":1,"maxItems":100}},"description":"Request body for merging incidents into an existing parent incident."},"V3.Incidents.MergeIntoNewParentRequest":{"type":"object","required":["owner_id","children","new_incident"],"properties":{"owner_id":{"type":"string"},"children":{"type":"array","items":{"type":"string"},"minItems":2,"maxItems":100},"new_incident":{"$ref":"#/components/schemas/V3.Incidents.MergeNewParentIncidentRequest"}},"description":"Request body for merging incidents under a newly created parent incident."},"V3.Incidents.MergeNewParentIncidentRequest":{"type":"object","required":["message","assignee","service_id"],"properties":{"message":{"type":"string"},"description":{"type":"string"},"priority":{"$ref":"#/components/schemas/V3.Incidents.IncidentPriority"},"tags":{"type":"object","unevaluatedProperties":{"$ref":"#/components/schemas/V3.Incidents.TagConfigObject"}},"assignee":{"$ref":"#/components/schemas/V3.Incidents.Assignee"},"service_id":{"type":"string"}},"description":"Details used to create a new parent incident while merging incidents."},"V3.Incidents.IncidentPriority":{"type":"string","enum":["P1","P2","P3","P4","P5"],"description":"Represents the priority of an incident."},"V3.Incidents.TagConfigObject":{"type":"object","required":["value","color"],"properties":{"value":{"type":"string"},"color":{"type":"string"}},"description":"Defines the value and color of a tag."},"V3.Incidents.Assignee":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["user","escalationpolicy","squad"]}},"description":"Assignment target for an incident."}}},"paths":{"/v3/incidents/merge":{"post":{"operationId":"Incidents_mergeIncidents","summary":"Merge Incidents","description":"- This endpoint merges incidents under an existing parent incident or a newly created parent incident. A parent can have at most 100 child incidents in total.\n- All selected child incidents must belong to the team specified by `owner_id` and must not be suppressed, already merged as a child, or a parent with child incidents.\n- An existing parent incident must belong to the same team and must not be suppressed or already merged as a child.\n- When using an existing parent, the parent and child incidents must all be resolved or all be open (`triggered` or `acknowledged`).\n- When creating a new parent, provide at least two open child incidents and the `new_incident` details instead of `parent_incident_id`.\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.MergeIncidentsResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/V3.Incidents.MergeIntoExistingParentRequest"},{"$ref":"#/components/schemas/V3.Incidents.MergeIntoNewParentRequest"}]}}}}}}}}
```

## Bulk Incidents Priority Update

> \- This endpoint is used to bulk update incident priority.\
> \
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.BulkIncidentsPriorityUpdateRequest":{"type":"object","required":["incident_ids","priority"],"properties":{"incident_ids":{"type":"array","items":{"type":"string"}},"priority":{"type":"string"}},"description":"Request body for bulk updating incident priority."}}},"paths":{"/v3/incidents/priority":{"put":{"operationId":"Incidents_bulkIncidentsPriorityUpdate","summary":"Bulk Incidents Priority Update","description":"- This endpoint is used to bulk update incident priority.\n\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.BulkIncidentsPriorityUpdateRequest"}}}}}}}}
```

## Bulk Resolve Incidents

> \- This endpoint is used to bulk resolve the incident by IDs. The API can handle a maximum of 100 incident IDs in a single request with 10 such calls per minute."\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.BulkIncidentIDsRequest":{"type":"object","required":["incident_ids"],"properties":{"incident_ids":{"type":"array","items":{"type":"string"},"maxItems":100}},"description":"Request body for bulk incident operations (acknowledge, resolve)."}}},"paths":{"/v3/incidents/resolve":{"post":{"operationId":"Incidents_bulkResolveIncidents","summary":"Bulk Resolve Incidents","description":"- This endpoint is used to bulk resolve the incident by IDs. The API can handle a maximum of 100 incident IDs in a single request with 10 such calls per minute.\"\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"string"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.BulkIncidentIDsRequest"}}}}}}}}
```

## Get Incident by ID

> \- This endpoint is used to get the incident details by ID.\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.IncidentResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Incidents.Incident"}]},"V3.Incidents.Incident":{"type":"object","required":["id","service_id","alert_source_id","organization_id","incidentNumber","message","assignedTo","additional_responders","description","status","timeOfCreation","updated_at","tags","logs","analytics","pinned_messages","deleted","event_count","dedup_data","owner","access_control","relevantUsers","relevantEscalationPolicies","relevantSquads","relevantSchedules","relevantPeopleLogs","responseNotes","attachments","is_child","children","did_auto_pause","did_auto_pause_timeout","auto_pause_ends_at","manually_marked_transient_alert_feedback_type","classification_id","grouped_alert_count","has_priority","snooze_details","did_notification_delay","notification_delay_policy","digest_id"],"properties":{"id":{"type":"string"},"service_id":{"type":"string"},"alert_source_id":{"type":"string"},"organization_id":{"type":"string"},"slo_id":{"type":"integer"},"incidentNumber":{"type":"integer"},"message":{"type":"string"},"assignedTo":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.AssignedTo"}},"additional_responders":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.AdditionalResponderDetails"}},"description":{"type":"string"},"status":{"type":"string"},"timeOfCreation":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"last_acknowledged_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"tags":{"type":"object","unevaluatedProperties":{"$ref":"#/components/schemas/V3.Incidents.TagConfigObject"}},"logs":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Logs"}},"analytics":{"$ref":"#/components/schemas/V3.Incidents.Analytics"},"pinned_messages":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.PinnedMessage"}},{"type":"null"}]},"created_by":{"type":"string"},"sender_email":{"type":"string"},"deleted":{"type":"boolean"},"event_count":{"type":"integer"},"dedup_data":{"$ref":"#/components/schemas/V3.Incidents.DedupData"},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"access_control":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/Common.V3.RBACEntityPermission"}},{"type":"null"}]},"relevantUsers":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantEscalationPolicies":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantSquads":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantSchedules":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantPeopleLogs":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.RelevantPeopleLog"}},{"type":"null"}]},"responseNotes":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.ResponseNote"}},{"type":"null"}]},"attachments":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"retriggerPolicy":{"anyOf":[{"type":"object","properties":{"escalationPolicyId":{"type":"string"},"retriggerAt":{"type":"string","format":"date-time"},"retriggeredAt":{"type":"string","format":"date-time"}},"required":["escalationPolicyId"]},{"type":"null"}]},"webform_id":{"type":"integer"},"webform_submission_id":{"type":"integer"},"is_child":{"type":"boolean"},"parent":{"$ref":"#/components/schemas/V3.Incidents.MergeIncidentEntityReference"},"children":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.MergeIncidentEntityReference"}},"did_auto_pause":{"type":"boolean"},"did_auto_pause_timeout":{"type":"boolean"},"auto_pause_ends_at":{"type":"string","format":"date-time"},"manually_marked_transient_alert_feedback_type":{"type":"string"},"classification_id":{"type":"integer"},"grouped_alert_count":{"type":"integer"},"priority":{"$ref":"#/components/schemas/V3.Incidents.IncidentPriority"},"has_priority":{"type":"boolean"},"snooze_details":{"$ref":"#/components/schemas/V3.Incidents.SnoozeDetails"},"did_notification_delay":{"type":"boolean"},"notification_delay_policy":{"$ref":"#/components/schemas/V3.Incidents.NotificationDelayPolicy"},"digest_id":{"type":"string"}},"description":"Represents an incident."},"V3.Incidents.AssignedTo":{"type":"object","required":["id","type","timeOfAssignment","reason"],"properties":{"id":{"type":"string"},"type":{"type":"string"},"timeOfAssignment":{"type":"string","format":"date-time"},"reason":{"type":"string"}},"description":"Schema for an assigned entity in an incident."},"V3.Incidents.AdditionalResponderDetails":{"type":"object","required":["id","type","timeOfAssignment","reason","name","last_notified_at"],"properties":{"id":{"type":"string"},"type":{"type":"string"},"timeOfAssignment":{"type":"string","format":"date-time"},"reason":{"type":"string"},"name":{"type":"string"},"last_notified_at":{"type":"string","format":"date-time"}},"description":"Details for an additional responder."},"V3.Incidents.TagConfigObject":{"type":"object","required":["value","color"],"properties":{"value":{"type":"string"},"color":{"type":"string"}},"description":"Defines the value and color of a tag."},"V3.Incidents.Logs":{"type":"object","required":["action","time","reason"],"properties":{"action":{"type":"string"},"is_manually_created":{"type":"boolean"},"created_by":{"type":"string"},"updated_by":{"type":"string"},"assignedTo":{"type":"string"},"assignedBy":{"type":"string"},"id":{"type":"string"},"workflow_id":{"type":"integer"},"time":{"type":"string","format":"date-time"},"reason":{"type":"string"},"additionalInfo":{"anyOf":[{"type":"object","unevaluatedProperties":{}},{"type":"null"}]},"type":{"type":"string"},"should_show_in_postmortem":{"type":"boolean"}},"description":"Represents a log entry for an incident action."},"V3.Incidents.Analytics":{"type":"object","required":["tta","ttr"],"properties":{"tta":{"$ref":"#/components/schemas/V3.Incidents.AnalyticsMetrics"},"ttr":{"$ref":"#/components/schemas/V3.Incidents.AnalyticsMetrics"}},"description":"Incident analytics data."},"V3.Incidents.AnalyticsMetrics":{"type":"object","required":["time","userId","escalationPolicyId","squadId"],"properties":{"time":{"type":"integer"},"userId":{"type":"string"},"escalationPolicyId":{"type":"string"},"squadId":{"type":"string"}},"description":"Analytics metrics for TTA (Time to Acknowledge) and TTR (Time to Resolve)."},"V3.Incidents.PinnedMessage":{"type":"object","required":["message","message_sender_id","time","time_of_pinning","message_id","message_pinned_by","message_sender_name"],"properties":{"message":{"type":"string"},"message_sender_id":{"type":"string"},"time":{"type":"string","format":"date-time"},"time_of_pinning":{"type":"string","format":"date-time"},"message_id":{"type":"string"},"message_pinned_by":{"type":"string"},"message_sender_name":{"type":"string"}},"description":"Represents a pinned message in the warroom."},"V3.Incidents.DedupData":{"type":"object","properties":{"key":{"type":"string"},"hash":{"type":"string"}},"description":"Deduplication data for an incident."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.RBACEntityPermission":{"type":"object","required":["user_id","abilities"],"properties":{"user_id":{"type":"string","description":"The ID of the user receiving the permission."},"abilities":{"type":"object","unevaluatedProperties":{"type":"boolean"},"description":"A map of abilities granted to the user."}},"description":"Represents a permission granted to a user for a specific entity."},"V3.Incidents.RelevantPeopleLog":{"type":"object","required":["userId","actionTaken","actionTakenBy","actionTime"],"properties":{"userId":{"type":"string"},"actionTaken":{"type":"string"},"actionTakenBy":{"type":"string"},"actionTime":{"type":"string","format":"date-time"}},"description":"Represents a relevant people log entry."},"V3.Incidents.ResponseNote":{"type":"object","required":["timeOfNote","note","userId"],"properties":{"timeOfNote":{"type":"string","format":"date-time"},"note":{"type":"string"},"userId":{"type":"string"}},"description":"Represents a response note in an incident."},"V3.Incidents.MergeIncidentEntityReference":{"type":"object","required":["id"],"properties":{"id":{"type":"string"}},"description":"Reference to a merged incident entity."},"V3.Incidents.IncidentPriority":{"type":"string","enum":["P1","P2","P3","P4","P5"],"description":"Represents the priority of an incident."},"V3.Incidents.SnoozeDetails":{"type":"object","required":["is_snoozed","start_time","end_time","total_time_in_mins"],"properties":{"is_snoozed":{"type":"boolean"},"start_time":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"end_time":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"total_time_in_mins":{"type":"integer"}},"description":"Details about incident snoozing."},"V3.Incidents.NotificationDelayPolicy":{"type":"object","required":["is_notification_delayed","delayed_until","assign_to"],"properties":{"is_notification_delayed":{"type":"boolean"},"delayed_until":{"type":"string","format":"date-time"},"assign_to":{"$ref":"#/components/schemas/V3.Incidents.AssignTo"}},"description":"Policy for delaying notifications."},"V3.Incidents.AssignTo":{"type":"object","required":["id"],"properties":{"id":{"type":"string"},"type":{"type":"string"}},"description":"Represents the assignment target for delayed notifications."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/incidents/{incidentID}":{"get":{"operationId":"Incidents_getIncidentById","summary":"Get Incident by ID","description":"- This endpoint is used to get the incident details by ID.\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.IncidentResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"]}}}}
```

## Acknowledge Incident

> \- This endpoint is used to acknowledge the incident by ID.\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/incidents/{incidentID}/acknowledge":{"post":{"operationId":"Incidents_acknowledgeIncident","summary":"Acknowledge Incident","description":"- This endpoint is used to acknowledge the incident by ID.\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"string"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"]}}}}
```

## Get Incident Events

> \- This endpoint is used to get all the deduped incident events details by either ID or number.\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.\
> \
> Query Params:\
> \`\`\`\
> offset - non zero value\
> limit - non zero value, maximum is 10\
> sort - sort it by either asc or desc\
> deduped - if set to true, it will return only the deduplicated events. if set to false, it will return only the non-deduplicated event, otherwise it will return all the events\
> \`\`\`

````json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.IncidentEventResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Incidents.IncidentEvent"}]},"V3.Incidents.IncidentEvent":{"type":"object","required":["incident_id","alert_source_id","message","description","time_of_creation","tags","payload"],"properties":{"incident_id":{"type":"string"},"alert_source_id":{"type":"string"},"message":{"type":"string"},"description":{"type":"string"},"time_of_creation":{"type":"string","format":"date-time"},"tags":{"anyOf":[{"type":"object","unevaluatedProperties":{}},{"type":"null"}]},"deduplication_reason":{"type":"object","properties":{"matched_event_id":{"type":"string"},"evaluated_expression":{"type":"string"},"time_window":{"type":"integer"}},"required":["matched_event_id","evaluated_expression","time_window"]},"payload":{"type":"object","unevaluatedProperties":{}}},"description":"Represents an incident event."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/incidents/{incidentID}/events":{"get":{"operationId":"Incidents_getIncidentEvents","summary":"Get Incident Events","description":"- This endpoint is used to get all the deduped incident events details by either ID or number.\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.\n\nQuery Params:\n```\noffset - non zero value\nlimit - non zero value, maximum is 10\nsort - sort it by either asc or desc\ndeduped - if set to true, it will return only the deduplicated events. if set to false, it will return only the non-deduplicated event, otherwise it will return all the events\n```","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}},{"name":"offset","in":"query","required":true,"description":"non zero value","schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"description":"non zero value, maximum is 10","schema":{"type":"string"}},{"name":"sort","in":"query","required":true,"description":"sort it by either asc or desc","schema":{"type":"string"}},{"name":"deduped","in":"query","required":true,"description":"if set to true, it will return only the deduped events.\n\nif set to false, it will return only the non-deduped event.\n\notherwise it will return all the events","schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"events":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.IncidentEventResponse"}}},"required":["events"]},"meta":{"type":"object","properties":{"total":{"type":"integer"},"count":{"type":"integer"},"current":{"type":"string"},"next":{"type":"string"}},"required":["total","count","current"]}},"required":["data","meta"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"]}}}}
````

## Mark Incident SLO False Positive

> \- This endpoint is used to mark incident slo false positive.\
> \
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/incidents/{incidentID}/mark-slo-incident-false-postive/{value}":{"patch":{"operationId":"Incidents_markIncidentSloFalsePositive","summary":"Mark Incident SLO False Positive","description":"- This endpoint is used to mark incident slo false positive.\n\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}},{"name":"value","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"]}}}}
```

## Incident Priority Update

> \- This endpoint is used to update incident priority by ID.\
> \
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.IncidentPriorityUpdateResponse":{"type":"object","required":["incident_id","priority"],"properties":{"incident_id":{"type":"string"},"priority":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.IncidentPriorityUpdateRequest":{"type":"object","properties":{"priority":{"type":"string"}},"description":"Request body for updating incident priority."}}},"paths":{"/v3/incidents/{incidentID}/priority":{"patch":{"operationId":"Incidents_incidentPriorityUpdate","summary":"Incident Priority Update","description":"- This endpoint is used to update incident priority by ID.\n\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.IncidentPriorityUpdateResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.IncidentPriorityUpdateRequest"}}}}}}}}
```

## Reassign Incident

> \- This endpoint is used to reassign the unresolved incident to any user or escalation policy or squads by ID.\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.\
> \- \`type\` can be either \`user\` or \`escalationpolicy\` or \`squad\`

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.ReassignIncidentRequest":{"type":"object","required":["reassignTo"],"properties":{"reassignTo":{"$ref":"#/components/schemas/V3.Incidents.Assignee"}},"description":"Request body for reassigning an incident."},"V3.Incidents.Assignee":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["user","escalationpolicy","squad"]}},"description":"Assignment target for an incident."}}},"paths":{"/v3/incidents/{incidentID}/reassign":{"post":{"operationId":"Incidents_reassignIncident","summary":"Reassign Incident","description":"- This endpoint is used to reassign the unresolved incident to any user or escalation policy or squads by ID.\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.\n- `type` can be either `user` or `escalationpolicy` or `squad`","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"string"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.ReassignIncidentRequest"}}}}}}}}
```

## Resolve Incident

> \- This endpoint is used to resolve the incident by ID.\
> \
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.\
> \
> \- Resolution Reason is mandatory / optional based on the organization feature settings (Only for Premium and Enterprise Orgs) \[Read more]\(<https://support.squadcast.com/incidents-page/incidents-details#understanding-resolution-reason>)

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.ResolveIncidentRequest":{"type":"object","required":["resolution_reason"],"properties":{"resolution_reason":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"]}},"description":"Request body for resolving an incident."}}},"paths":{"/v3/incidents/{incidentID}/resolve":{"post":{"operationId":"Incidents_resolveIncident","summary":"Resolve Incident","description":"- This endpoint is used to resolve the incident by ID.\n\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.\n\n- Resolution Reason is mandatory / optional based on the organization feature settings (Only for Premium and Enterprise Orgs) [Read more](https://support.squadcast.com/incidents-page/incidents-details#understanding-resolution-reason)","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"string"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.ResolveIncidentRequest"}}}}}}}}
```

## Unmerge Incident

> \- This endpoint unmerges a child incident from its parent incident.\
> \- The incident must currently be a child of a parent incident, and the parent incident must not be resolved or suppressed.\
> \- \`send\_notification\`: if \`true\`, sends notifications for the unmerged incident.\
> \- \`assign\_me\`: if \`true\`, assigns the unmerged incident to the requesting user. If \`false\`, the incident keeps its last assignee, provided that assignee still exists; otherwise the request fails and \`assign\_me\` must be set to \`true\`.\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.UnmergeIncidentResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string"}},"description":"Result of unmerging an incident."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.UnmergeIncidentRequest":{"type":"object","required":["send_notification","assign_me"],"properties":{"send_notification":{"type":"boolean"},"assign_me":{"type":"boolean"}},"description":"Request body for unmerging a child incident from its parent."}}},"paths":{"/v3/incidents/{incidentID}/unmerge":{"put":{"operationId":"Incidents_unmergeIncident","summary":"Unmerge Incident","description":"- This endpoint unmerges a child incident from its parent incident.\n- The incident must currently be a child of a parent incident, and the parent incident must not be resolved or suppressed.\n- `send_notification`: if `true`, sends notifications for the unmerged incident.\n- `assign_me`: if `true`, assigns the unmerged incident to the requesting user. If `false`, the incident keeps its last assignee, provided that assignee still exists; otherwise the request fails and `assign_me` must be set to `true`.\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.UnmergeIncidentResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.UnmergeIncidentRequest"}}}}}}}}
```

## Get Incidents Status By RequestIDs

> \- This endpoint is used to get the status of incidents given list of request\_ids\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.\
> \
> \# Response\
> \- The response contains the mapping from \`request\_ids\` to incident status.\
> \- \`status\` field can be one of - \`suppressed\`, \`discarded\`, \`deduplicated\`, \`created\`, \`error\`.\
> \-  status is \`error\` if the \`request\_id\` is invalid. Both \`incident\_id\` and \`event\_id\` field won't be present if \`status\` is \`error\`\
> \-  status is \`suppressed\` if the incident was suppressed due to suppression rules.\
> \-  status is \`deduplicated\` if the incident was deduplicated due to deduplication rules.\
> \-  status is \`discarded\` if the incident was discarded due to some deduplication rule. \`incident\_id\` field won't be present if \`status\` is \`discarded\`.\
> \-  otherwise, the status is \`created\`

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.IndividualRequestStatusResponse":{"type":"object","required":["status"],"properties":{"status":{"$ref":"#/components/schemas/V3.Incidents.RequestStatus"},"incident_id":{"type":"string"},"event_id":{"type":"string"}},"description":"Represents the status of a single ingestion request."},"V3.Incidents.RequestStatus":{"type":"string","enum":["created","deduplicated","suppressed","discarded","error"],"description":"Defines the status of an ingestion request."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.IngestionStatusRequest":{"type":"object","required":["request_ids"],"properties":{"request_ids":{"type":"array","items":{"type":"string"}}},"description":"Request body for getting ingestion status."}}},"paths":{"/v3/requests/status":{"post":{"operationId":"Incidents_getIncidentsStatusByRequestids","summary":"Get Incidents Status By RequestIDs","description":"- This endpoint is used to get the status of incidents given list of request_ids\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.\n\n# Response\n- The response contains the mapping from `request_ids` to incident status.\n- `status` field can be one of - `suppressed`, `discarded`, `deduplicated`, `created`, `error`.\n-  status is `error` if the `request_id` is invalid. Both `incident_id` and `event_id` field won't be present if `status` is `error`\n-  status is `suppressed` if the incident was suppressed due to suppression rules.\n-  status is `deduplicated` if the incident was deduplicated due to deduplication rules.\n-  status is `discarded` if the incident was discarded due to some deduplication rule. `incident_id` field won't be present if `status` is `discarded`.\n-  otherwise, the status is `created`","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"requests_status":{"type":"object","unevaluatedProperties":{"$ref":"#/components/schemas/V3.Incidents.IndividualRequestStatusResponse"}},"meta":{"type":"object","properties":{"error_count":{"type":"integer"},"success_count":{"type":"integer"}},"required":["error_count","success_count"]}},"required":["requests_status","meta"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.IngestionStatusRequest"}}}}}}}}
```
